Index: /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/Extensions/Install.py
===================================================================
--- /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/Extensions/Install.py	(revision 3152)
+++ /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/Extensions/Install.py	(revision 3153)
@@ -1,5 +1,4 @@
 import logging
 from Products.CMFCore.utils import getToolByName
-from Products.GenericSetup.upgrade import _upgrade_registry
 
 from quintagroup.dropdownmenu import PROJECT_NAME
Index: /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/controlpanel.py
===================================================================
--- /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/controlpanel.py	(revision 3152)
+++ /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/controlpanel.py	(revision 3153)
@@ -19,6 +19,6 @@
         """To save a few fields into portal_properties tool"""
         result = super(DropDownMenuSettingsEditForm, self).applyChanges(data)
-        dummy = self._settings(data['show_content_tabs'],
-                               data['show_nonfolderish_tabs'])
+        self._settings(data['show_content_tabs'],
+                       data['show_nonfolderish_tabs'])
         return result
 
Index: /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/menu.py
===================================================================
--- /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/menu.py	(revision 3152)
+++ /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/menu.py	(revision 3153)
@@ -1,5 +1,4 @@
 # -*- coding: utf-8 -*-
 from zope.interface import implements
-from zope.component import getUtility
 
 from Products.CMFPlone.browser.navtree import SitemapQueryBuilder
@@ -9,5 +8,4 @@
 from plone.app.layout.navigation.interfaces import INavigationQueryBuilder
 
-from quintagroup.dropdownmenu.interfaces import IDropDownMenuSettings
 from quintagroup.dropdownmenu.util import getDropDownMenuSettings
 
Index: /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/viewlets.py
===================================================================
--- /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/viewlets.py	(revision 3152)
+++ /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/viewlets.py	(revision 3153)
@@ -2,5 +2,5 @@
 from Acquisition import aq_inner
 
-from zope.component import getMultiAdapter, getUtility
+from zope.component import getMultiAdapter
 
 from Products.Five.browser.pagetemplatefile import ViewPageTemplateFile
@@ -14,7 +14,5 @@
 from plone.app.layout.navigation.navtree import buildFolderTree
 from plone.app.layout.navigation.interfaces import INavtreeStrategy
-from plone.app.layout.navigation.interfaces import INavigationQueryBuilder
-
-from quintagroup.dropdownmenu.interfaces import IDropDownMenuSettings
+
 from quintagroup.dropdownmenu.browser.menu import DropDownMenuQueryBuilder
 from quintagroup.dropdownmenu.util import getDropDownMenuSettings
@@ -70,5 +68,4 @@
         conf = self.conf
         tool = self.tool
-        context = aq_inner(self.context)
 
         # check if we have required root actions category inside tool
@@ -167,5 +164,4 @@
                      check_permissions=1, check_condition=1, max=-1):
         """Return action infos for a given category"""
-        context = aq_inner(self.context)
         ec = self.tool._getExprContext(object)
         actions = [ActionInfo(action, ec) for action in category.objectValues()
Index: /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/setuphandlers.py
===================================================================
--- /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/setuphandlers.py	(revision 3152)
+++ /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/setuphandlers.py	(revision 3153)
@@ -1,12 +1,6 @@
-import sys
 import logging
 from zope.component import queryUtility
-from zope.component import getSiteManager
-from zope.component import getGlobalSiteManager
 from plone.registry.interfaces import IRegistry
-from plone.browserlayer.utils import unregister_layer
-from plone.browserlayer.interfaces import ILocalBrowserLayerType
 
-from Acquisition import aq_parent
 from Products.CMFCore.utils import getToolByName
 
Index: /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/base.py
===================================================================
--- /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/base.py	(revision 3152)
+++ /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/base.py	(revision 3153)
@@ -10,5 +10,4 @@
 from collective.testcaselayer.ptc import BasePTCLayer, ptc_layer
 
-from Products.CMFCore.utils import getToolByName
 
 from quintagroup.dropdownmenu import PROJECT_NAME
Index: /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/test_controlpanel.py
===================================================================
--- /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/test_controlpanel.py	(revision 3152)
+++ /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/test_controlpanel.py	(revision 3153)
@@ -3,6 +3,8 @@
 from plone.registry import Registry
 
-from base import *
+from base import TestCase
+from base import IPREFIX
 
+from Products.CMFCore.utils import getToolByName
 from quintagroup.dropdownmenu.interfaces import IDropDownMenuSettings
 
@@ -24,5 +26,5 @@
     def test_show_icons(self):
         # Check show_icons record
-        show_icons = self.registry.records[IPREFIX + 'show_icons']
+        self.registry.records[IPREFIX + 'show_icons']
 
         self.failUnless('show_icons' in IDropDownMenuSettings)
@@ -31,6 +33,5 @@
     def test_show_content_tabs(self):
         # Check show_content_tabs record
-        show_content_tabs = self.registry.records[
-             IPREFIX + 'show_content_tabs']
+        self.registry.records[IPREFIX + 'show_content_tabs']
 
         self.failUnless('show_content_tabs' in IDropDownMenuSettings)
@@ -39,6 +40,5 @@
     def test_show_nonfolderish_tabs(self):
         # Check show_nonfolderish_tabs record
-        show_nonfolderish_tabs = self.registry.records[
-            IPREFIX + 'show_nonfolderish_tabs']
+        self.registry.records[IPREFIX + 'show_nonfolderish_tabs']
 
         self.failUnless('show_nonfolderish_tabs' in IDropDownMenuSettings)
@@ -48,6 +48,5 @@
     def test_content_before_actions_tabs(self):
         # Check content_before_actions_tabs record
-        content_before_actions_tabs = self.registry.records[
-            IPREFIX + 'content_before_actions_tabs']
+        self.registry.records[IPREFIX + 'content_before_actions_tabs']
 
         self.failUnless('content_before_actions_tabs' in IDropDownMenuSettings)
@@ -57,6 +56,5 @@
     def test_content_tabs_level(self):
         # Check content_tabs_level record
-        content_tabs_level = self.registry.records[
-            IPREFIX + 'content_tabs_level']
+        self.registry.records[IPREFIX + 'content_tabs_level']
 
         self.failUnless('content_tabs_level' in IDropDownMenuSettings)
@@ -65,6 +63,5 @@
     def test_show_actions_tabs(self):
         # Check show_actions_tabs record
-        show_actions_tabs = self.registry.records[
-            IPREFIX + 'show_actions_tabs']
+        self.registry.records[IPREFIX + 'show_actions_tabs']
 
         self.failUnless('show_actions_tabs' in IDropDownMenuSettings)
@@ -73,6 +70,5 @@
     def test_actions_tabs_level(self):
         # Check actions_tabs_level record
-        actions_tabs_level = self.registry.records[
-            IPREFIX + 'actions_tabs_level']
+        self.registry.records[IPREFIX + 'actions_tabs_level']
 
         self.failUnless('actions_tabs_level' in IDropDownMenuSettings)
@@ -81,5 +77,5 @@
     def test_actions_category(self):
         # Check actions_category record
-        actions_category = self.registry.records[IPREFIX + 'actions_category']
+        self.registry.records[IPREFIX + 'actions_category']
 
         self.failUnless('actions_category' in IDropDownMenuSettings)
@@ -89,6 +85,5 @@
     def test_nested_category_prefix(self):
         # Check nested_category_prefix record
-        nested_category_prefix = self.registry.records[
-            IPREFIX + 'nested_category_prefix']
+        self.registry.records[IPREFIX + 'nested_category_prefix']
 
         self.failUnless('nested_category_prefix' in IDropDownMenuSettings)
@@ -98,6 +93,5 @@
     def test_nested_category_sufix(self):
         # Check nested_category_sufix record
-        nested_category_sufix = self.registry.records[
-            IPREFIX + 'nested_category_sufix']
+        self.registry.records[IPREFIX + 'nested_category_sufix']
 
         self.failUnless('nested_category_sufix' in IDropDownMenuSettings)
Index: /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/test_docs.py
===================================================================
--- /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/test_docs.py	(revision 3152)
+++ /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/test_docs.py	(revision 3153)
@@ -4,5 +4,4 @@
 #from zope.testing import doctestunit
 #from zope.component import testing
-from base import TestCase, ztc
 
 
Index: /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/test_installation.py
===================================================================
--- /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/test_installation.py	(revision 3152)
+++ /quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/test_installation.py	(revision 3153)
@@ -2,12 +2,16 @@
 # Test product's installation
 #
-import string
 from zope.component import queryUtility
-from zope.component import queryMultiAdapter
-from zope.viewlet.interfaces import IViewletManager
 from plone.registry.interfaces import IRegistry
 from plone.browserlayer import utils as blutils
 
-from base import *
+from Products.CMFCore.utils import getToolByName
+
+from quintagroup.dropdownmenu.tests.base import TestCase, TestCaseUnInstalled
+from quintagroup.dropdownmenu.tests.base import IPREFIX
+
+from quintagroup.dropdownmenu import PROJECT_NAME
+from quintagroup.dropdownmenu.interfaces import IDropDownMenuLayer
+
 CSS_RESOURCES = ["++resource++drop_down.css", ]
 DEPENDENCIES = ["plone.app.registry", ]