Index: /quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/Extensions/Install.py
===================================================================
--- /quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/Extensions/Install.py	(revision 3161)
+++ /quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/Extensions/Install.py	(revision 3162)
@@ -2,4 +2,5 @@
 from Products.CMFCore.utils import getToolByName
 REQUIRED = 'quintagroup.captcha.core'
+
 
 def install(self):
@@ -13,9 +14,12 @@
     # install plonecaptchas
     gs = getToolByName(self, 'portal_setup')
-    gs.runAllImportStepsFromProfile('profile-quintagroup.plonecaptchas:default')
+    profile = 'profile-quintagroup.plonecaptchas:default'
+    gs.runAllImportStepsFromProfile(profile)
     transaction.savepoint()
+
 
 def uninstall(self):
     portal_setup = getToolByName(self, 'portal_setup')
-    portal_setup.runAllImportStepsFromProfile('profile-quintagroup.plonecaptchas:uninstall', purge_old=False)
+    profile = 'profile-quintagroup.plonecaptchas:uninstall'
+    portal_setup.runAllImportStepsFromProfile(profile, purge_old=False)
     transaction.savepoint()
Index: /quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/Extensions/__init__.py
===================================================================
--- /quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/Extensions/__init__.py	(revision 3161)
+++ /quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/Extensions/__init__.py	(revision 3162)
Index: /quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/tests/base.py
===================================================================
--- /quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/tests/base.py	(revision 3161)
+++ /quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/tests/base.py	(revision 3162)
@@ -26,4 +26,5 @@
 
 ptc.setupPloneSite()
+
 
 class NotInstalled(PloneSite):
@@ -60,11 +61,11 @@
         js_layer = None
         if getattr(ptc_setup, 'PLONE33', 0):
-            js_layer = JF_PROFILE_PREFIX+'33'
+            js_layer = JF_PROFILE_PREFIX + '33'
         elif getattr(ptc_setup, 'PLONE32', 0):
-            js_layer = JF_PROFILE_PREFIX+'31_32'
+            js_layer = JF_PROFILE_PREFIX + '31_32'
         elif getattr(ptc_setup, 'PLONE31', 0):
-            js_layer = JF_PROFILE_PREFIX+'31_32'
+            js_layer = JF_PROFILE_PREFIX + '31_32'
         elif getattr(ptc_setup, 'PLONE30', 0):
-            js_layer = JF_PROFILE_PREFIX+'30'
+            js_layer = JF_PROFILE_PREFIX + '30'
         if js_layer is not None:
             gs = getattr(portal, 'portal_setup', None)
@@ -76,8 +77,9 @@
     def tearDown(cls):
         ptc_setup._placefulTearDown()
-        
+
 
 class TestCase(ptc.PloneTestCase):
     layer = Installed
+
 
 class TestCaseNotInstalled(ptc.PloneTestCase):
@@ -88,4 +90,5 @@
     layer = Installed
 
+
 class FunctionalTestCaseNotInstalled(ptc.FunctionalTestCase):
     layer = NotInstalled
Index: /quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/tests/testForms.py
===================================================================
--- /quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/tests/testForms.py	(revision 3161)
+++ /quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/tests/testForms.py	(revision 3162)
@@ -34,4 +34,5 @@
 testPatch()
 
+
 class TestFormMixin(FunctionalTestCase):
 
@@ -42,5 +43,5 @@
         addTestLayer(self)
         # Prepare form data
-        self.basic_auth = ':'.join((portal_owner,default_password))
+        self.basic_auth = ':'.join((portal_owner, default_password))
         self.form_url = ''
         self.form_method = "POST"
@@ -84,16 +85,18 @@
         self.form_method = "GET"
         response = self.publishForm().getBody()
-        patt = re.compile(IMAGE_PATT  % self.portal.absolute_url())
+        patt = re.compile(IMAGE_PATT % self.portal.absolute_url())
         match_obj = patt.search(response)
         img_url = match_obj.group(1)
 
-        content_type = self.publish('/plone' + img_url).getHeader('content-type')
+        content_type = self.publish('/plone' + img_url).getHeader(
+                                                            'content-type')
         self.assertTrue(content_type.startswith('image'),
             "Wrong captcha image content type")
 
     def testSubmitRightCaptcha(self):
-        key = getWord(int(parseKey(decrypt(self.captcha_key, self.hashkey))['key'])-1)
+        key = getWord(int(parseKey(decrypt(
+                self.captcha_key, self.hashkey))['key']) - 1)
         self.form_data['key'] = key
-        
+
         response = self.publishForm().getBody()
         self.assertFalse(NOT_VALID.search(response))
@@ -105,5 +108,6 @@
 
     def testSubmitRightCaptchaTwice(self):
-        key = getWord(int(parseKey(decrypt(self.captcha_key, self.hashkey))['key'])-1)
+        key = getWord(int(parseKey(decrypt(
+                self.captcha_key, self.hashkey))['key']) - 1)
         self.form_data['key'] = key
 
@@ -120,12 +124,12 @@
         self.portal['index_html'].allowDiscussion(True)
         self.form_url = '/index_html/discussion_reply_form'
-        
+
     def getFormData(self):
-        return {'form.submitted' : '1',
+        return {'form.submitted': '1',
                 'subject': 'testing',
                 'Creator': portal_owner,
                 'body_text': 'Text in Comment',
                 'discussion_reply:method': 'Save',
-                'form.button.form_submit' : 'Save'}
+                'form.button.form_submit': 'Save'}
 
 
@@ -141,12 +145,12 @@
 
     def getFormData(self):
-        return {"last_visit:date" : str(DateTime()),
-                "prev_visit:date" : str(DateTime()-1),
-                "came_from_prefs" : "",
-                "fullname" : "Tester",
-                "username" : "tester",
-                "email" : "tester@test.com",
-                'form.button.Register':'Register',
-                'form.submitted':'1'}
+        return {"last_visit:date": str(DateTime()),
+                "prev_visit:date": str(DateTime() - 1),
+                "came_from_prefs": "",
+                "fullname": "Tester",
+                "username": "tester",
+                "email": "tester@test.com",
+                'form.button.Register': 'Register',
+                'form.submitted': '1'}
 
 
@@ -158,11 +162,12 @@
         self.portal['index_html'].allowDiscussion(True)
         self.form_url = '/index_html/sendto_form'
-        
+
     def getFormData(self):
-        return {'form.submitted' : '1',
-                "send_to_address" : "recipient@test.com",
-                "send_from_address" : "sender@test.com",
+        return {'form.submitted': '1',
+                "send_to_address": "recipient@test.com",
+                "send_from_address": "sender@test.com",
                 'comment': 'Text in Comment',
-                'form.button.Send' : 'Save'}
+                'form.button.Send': 'Save'}
+
 
 class TestContactInfo(TestFormMixin):
@@ -171,15 +176,15 @@
         TestFormMixin.afterSetUp(self)
         # preparation to form correct working
-        self.portal._updateProperty('email_from_address','manager@test.com')
+        self.portal._updateProperty('email_from_address', 'manager@test.com')
         self.logout()
         self.form_url = '/contact-info'
-        
+
     def getFormData(self):
-        return {'form.submitted' : '1',
-                "sender_fullname" : "tester",
-                "sender_from_address" : "sender@test.com",
+        return {'form.submitted': '1',
+                "sender_fullname": "tester",
+                "sender_from_address": "sender@test.com",
                 'subject': 'Subject',
                 'message': 'Message',
-                'form.button.Send' : 'Save'}
+                'form.button.Send': 'Save'}
 
 
Index: /quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/tests/testInstallation.py
===================================================================
--- /quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/tests/testInstallation.py	(revision 3161)
+++ /quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/tests/testInstallation.py	(revision 3162)
@@ -5,4 +5,5 @@
 
 from quintagroup.plonecaptchas.config import PRODUCT_NAME
+
 
 class TestInstallation(TestCase):
@@ -18,5 +19,6 @@
             for layer in LAYERS:
                 self.assert_(layer.split('/')[0] in self.skins.objectIds(),
-                    '%s directory view not found in portal_skins after installation' % layer)
+                             '%s directory view not found in portal_skins '\
+                             'after installation' % layer)
                 self.assert_(layer in path,
                     '%s layer not found in %s' % (PRODUCT_NAME, skin))
@@ -31,8 +33,12 @@
             path = map(str.strip, path.split(','))
             for layer in LAYERS:
-                self.assertTrue(not layer.split('/')[0] in self.skins.objectIds(),
-                    '%s directory view found in portal_skins after uninstallation' % layer)
+                self.assertTrue(
+                        not layer.split('/')[0] in self.skins.objectIds(),
+                                '%s directory view found in portal_skins '\
+                                'after uninstallation' % layer)
                 self.assert_(not layer in path,
-                    '%s layer found in %s skin after uninstallation' % (layer, skin))
+                             '%s layer found in %s skin '\
+                             'after uninstallation' % (layer, skin))
+
 
 def test_suite():
Index: /quintagroup.plonecaptchas/trunk/setup.py
===================================================================
--- /quintagroup.plonecaptchas/trunk/setup.py	(revision 3161)
+++ /quintagroup.plonecaptchas/trunk/setup.py	(revision 3162)
@@ -6,8 +6,9 @@
 setup(name='quintagroup.plonecaptchas',
       version=version,
-      description="quintagroup.plonecaptchas is simple captchas implementation for Plone, designed for validating human input in insecure forms.",
+      description="quintagroup.plonecaptchas is simple captchas "
+                  "implementation for Plone, designed for validating "
+                  "human input in insecure forms.",
       long_description=open("README.txt").read() + "\n" +
                        open(os.path.join("docs", "HISTORY.txt")).read(),
-      # Get more strings from http://www.python.org/pypi?%3Aaction=list_classifiers
       classifiers=[
         "Framework :: Plone",
@@ -41,4 +42,4 @@
       target = plone
       """,
-      paster_plugins = ["ZopeSkel"],
+      paster_plugins=["ZopeSkel"],
       )